package org.diagbot.push.controller;

import org.diagbot.common.push.cache.CacheFileManager;
import org.diagbot.common.work.ResponseData;
import org.diagbot.graph.util.CacheUtil;
import org.diagbot.nlp.util.NlpCache;
import org.diagbot.pub.api.Response;
import org.diagbot.pub.web.BaseController;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;

/**
 * Created by louhr on 2019/8/16.
 */
@Controller
@RequestMapping("/cache_file_manager")
public class CacheFileManagerController extends BaseController {

    @RequestMapping(value = "/create_file")
    @ResponseBody
    public Response<ResponseData> create(HttpServletRequest request) throws Exception {
        Response<ResponseData> response = new Response<ResponseData>();
        CacheFileManager cacheFileManager = new CacheFileManager();
        cacheFileManager.createCacheFile();

        NlpCache.createSegmentCache();
        NlpCache.createPushCache();
        NlpCache.createClassifyCache();
        NlpCache.createChronicCache();
        NlpCache.createPropertyPairCache();

        CacheUtil.createDiagSortCache();
        CacheUtil.getSexAgeCache();
        CacheUtil.getVitalCache();
        return response;
    }
}
